{% extends "::base.html.twig" %}

{% block title %}AppBundle:Imeges{% endblock %}

{% block body %}
    <h1>All images</h1>

    {% for image in images %}
        <div>
            <p>Title: {{ image.title }}</p>
            <img style="width: 100px" src="{{ asset(image_directory ~ image.avatar) }}"/>
            <b>Author: {{ image.user.username }}</b>
            <form action="{{ path('app_default_like', {id: image.id}) }}" method="post">
                <input type="submit" value="like">
            </form>
            <form action="{{ path('app_default_subscription', {id: image.id}) }}" method="post">
                <input type="submit" value="subscription">
            </form>
            {% for comment in comments %}
                {% if comment.image.id == image.id %}
                    <p>{{ comment.comments }}</p>
                {% endif %}
            {% endfor %}
            <form action="{{ path('app_default_comments', {id: image.id}) }}" method="post">
                <label>Add comment: </label>
                <input type="text" value="" name="comment">
                <input type="submit" value="save">
            </form>
        </div>

    {% else %}
        <h3>No images</h3>

    {% endfor %}

    <a href="{{ path('app_default_home') }}"><h2>Home</h2></a>

{% endblock %}